<?php

error_reporting (E_ALL);
ini_set('display_errors', 'stdout');

define ('DB_CLIENT_KEY', '/home/a/sandboxes/msb_5_6_25/certs/client-key.pem');
define ('DB_CLIENT_CERT', '/home/a/sandboxes/msb_5_6_25/certs/client-cert.pem');
define ('DB_CA_CERT', '/home/a/sandboxes/msb_5_6_25/certs/ca-cert.pem');


function connect($user, $ssl) {
    $dbh = mysqli_init();
    $opt = 0;
    if ( $ssl == 1) {
	$opt = MYSQLI_CLIENT_SSL;
        print("Setting SSL-parameters, CT_KEY:".DB_CLIENT_KEY.", CT_Cert:".DB_CLIENT_CERT.", DB_CA_cert:".DB_CA_CERT."\n");
        $res =  $dbh->ssl_set(DB_CLIENT_KEY, DB_CLIENT_CERT, DB_CA_CERT, NULL, NULL);
        if (!$res) {
            reportError('Error setting ssl ', $dbh->errno.": ".$dbh->error);
            mysqli_close($dbh);
            return;
        }
    }

    $dbHost="127.0.0.1";
    $pass="1";
    $dbName="test";
    print("Would connect with:". $user. "@". $dbHost . " Pass:". $pass. "  TO: ". $dbName . " : ". $opt . "\n");
    
    $connRes = $dbh->real_connect($dbHost, $user , $pass, $dbName, 5625, null, $opt);

    if (!$connRes) {
        reportError('Could not connect to server ', $dbh->errno.": ".$dbh->error);
    } else {
	print("Did connect\n");
        $query = "SHOW STATUS LIKE 'ssl_cipher';";
        $res = $dbh->query($query);
        var_dump($res);
        while ($row = $res->fetch_assoc()) {
           var_dump($row);
        }
        $query = "select user(), current_user();";
        $res = $dbh->query($query);
        var_dump($res);
        while ($row = $res->fetch_assoc()) {
           var_dump($row);
        }
    }
    
    mysqli_close($dbh);
}

function reportError($e1,$e2) {

    print "$e1   $e2 \n";
}


connect('b',0);
connect('b',1);
connect('a',0);
connect('a',1);


?>
